Devuan bug report logs - #630
exim 4.94.5 installation configures IPv6 by default on IPv4 only machines

Package: exim4; Maintainer for exim4 is (unknown); Source for exim4 is src:exim4.

Reported by: sawbona@xsmail.com

Date: Sat, 13 Nov 2021 20:42:02 UTC

Severity: grave

Tags: debian

Found in version 4.92-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#630; Package exim4. (Sat, 13 Nov 2021 20:42:02 GMT) (full text, mbox, link).


Acknowledgement sent to sawbona@xsmail.com:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 13 Nov 2021 20:42:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: sawbona@xsmail.com
To: submit@bugs.devuan.org
Subject: exim 4.94.5 installation configures IPv6 by default on IPv4 only machines
Date: Sat, 13 Nov 2021 17:31:42 -0300
Package: exim4
Version: 4.92-5
Severity: grave

I've previously reported this bug to Debian:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=999612

Unfortunately, a *single* reference to Devuan slipped by my editing.
As a result, the bug report was instantly/swiftly closed by the chap 
in charge with the reply being:

"Well, you are running an unsupported setup."

I really don't have time to set up a Debian installation to prove it 
is *also* a bug for Debian and probably every Debian based 
distribution. 

I had also previously exchanged opinions with respect to this problem 
on the exim-users list but without any success.

https://lists.exim.org/lurker/thread/20211113.163548.7007ca8c.en.html

So ...
Exim will not fix it because they actually don't think it is a bug.

Debian won't fix it because the person reporting the bug is running 
Exim under an unsupported configuration.

The truth of the matter is this:

Exim, as it comes straight from the official Debian repository, will 
install itself to use IPv6 *by default* in a system where the 
settings *explicitly* disable the IPv6 protocol.  

ie:

1.
The kernel command line includes the bit needed to disable ipv6 at
boot:

[code]
ipv6.disable=1
[/code]

2.
The /etc/hosts file has no machine readable IPv6 lines:

[code]
groucho@devuan:~$ cat /etc/hosts
#
127.0.0.1         localhost  devuan
#
# remmed to disable ip6
#::1                 localhost       ip6-localhost ip6-loopback
#fe00::0          ip6-localnet
#fe00::0          ip6-mcastprefix
#fe02::1          ip6-allnodes
#fe02::1          ip6-allrouters
groucho@devuan:~$
[/code]

3.
The /etc/ssh/ssh_config file includes the line needed to disable
ipv6:

[code]
groucho@devuan:~$ cat /etc/ssh/ssh_config
--- snip ---
AddressFamily inet     # instead of 'any' or 'inet6'
--- snip ---
groucho@devuan:~$
[/code]

In doing so, when Exim starts it generates a paniclog message:

[code]
IPv6 socket creation failed: Address family not supported by protocol
[/code]

Also, in a machine such as mine, running a VBox VM with a DNS (both 
configured explicitly disabling IPv6) it will also generate a 30s 
delay at boot while Exim makes an AAAA query to the DNS which (quite 
obviously) it won't answer.  

If this is not a bug ...

I'd appreciate any comments you'd care to make.

Thanks in advance.

Best,

A.

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#630; Package exim4. (Mon, 15 Nov 2021 11:02:01 GMT) (full text, mbox, link).


Message #8 received at 630@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: sawbona@xsmail.com, 630@bugs.devuan.org
Subject: Re: bug#630: exim 4.94.5 installation configures IPv6 by default on IPv4 only machines
Date: Mon, 15 Nov 2021 10:55:38 +0000
Control: tags -1 debian

Hi,

Thanks for this.

On Sat, Nov 13, 2021 at 05:31:42PM -0300, sawbona@xsmail.com wrote:
> Package: exim4
> Version: 4.92-5
> Severity: grave
> 
> I've previously reported this bug to Debian:
> 
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=999612
> 
> Unfortunately, a *single* reference to Devuan slipped by my editing.
> As a result, the bug report was instantly/swiftly closed by the chap 
> in charge with the reply being:

I have just had a quick look through your Debian report. I don't think it is
closed, just downgraded to wishlist. I don't see any mention of Devuan or that
being the reason for his response

> "Well, you are running an unsupported setup."

I think this comment might relate to the fact that it is unsupported to comment
out the default ipv6 localhost entries in /etc/hosts.

If you reinstate them, does the pause on startup disappear?

[..]

> I'd appreciate any comments you'd care to make.

I am not sure there is anything we can do in Devuan as this isn't a forked
package and we use Debian's packages directly without recompilation.

Best wishes

Mark

Added tag(s) debian. Request was from Mark Hindley <mark@hindley.org.uk> to 630-submit@bugs.devuan.org. (Mon, 15 Nov 2021 11:02:05 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri Aug 12 23:59:39 2022;